> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Wallet Deposit Address

> Creates a new deposit address for a wallet. Only applicable to wallets that support multiple deposit addresses on a given network



## OpenAPI

````yaml POST /v1/portfolios/{portfolio_id}/wallets/{wallet_id}/addresses
openapi: 3.0.1
info:
  title: REST API
  description: >-
    The Coinbase Prime REST API provides programmatic access to trading,
    custody, staking, market data, and account management functionality.
  version: '0.1'
servers:
  - url: https://api.prime.coinbase.com/
security: []
tags:
  - name: PrimeRESTAPI
paths:
  /v1/portfolios/{portfolio_id}/wallets/{wallet_id}/addresses:
    post:
      tags:
        - Wallets
      summary: Create Wallet Deposit Address
      description: >-
        Creates a new deposit address for a wallet. Only applicable to wallets
        that support multiple deposit addresses on a given network
      operationId: PrimeRESTAPI_CreateWalletDepositAddress
      parameters:
        - name: portfolio_id
          in: path
          description: The ID of the portfolio that owns the wallet
          required: true
          schema:
            type: string
        - name: wallet_id
          in: path
          description: The wallet ID for which to create the deposit address
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              required:
                - network_id
              type: object
              properties:
                network_id:
                  title: >-
                    The network information, ie which network to retrieve the
                    deposit address for (such as base-mainnet)
                  type: string
                  description: The network name and type
                  example: ethereum-mainnet
        required: true
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_rest_api.BlockchainAddress
components:
  schemas:
    coinbase.public_rest_api.BlockchainAddress:
      type: object
      properties:
        address:
          title: The address
          type: string
          description: The address on the network
        account_identifier:
          title: >-
            The destination value’s account_identifier (MEMO/DESTINATION TAG)
            value
             for the withdrawal
          type: string
          description: >-
            The account identifier (used on some chains to distinguish accounts
            using the same address)
        network:
          $ref: '#/components/schemas/coinbase.public_rest_api.Network'
    coinbase.public_rest_api.Network:
      type: object
      properties:
        id:
          title: The name of the network
          type: string
          description: 'The network id: base, bitcoin, ethereum, solana etc'
        type:
          title: The network type
          type: string
          description: 'The network type: mainnet, testnet, etc'

````